Summary: A program which manages RPC connections.
Name: portmap
Version: 4.0
Release: 37tr
Group: Trustix Official
License: BSD
Source0: ftp://ftp.porcupine.org/pub/security/portmap_4.tar.gz
Source1: portmap.init
Source2: pmap_set.8
Source3: pmap_dump.8
Source4: portmap.8
Patch0: portmap-4.0-linux.patch
Patch1: portmap-malloc.patch
Patch2: portmap-4.0-errno.patch
BuildRoot: /var/tmp/portmap-root
PreReq: /sbin/chkconfig /sbin/restart_maybe

%description
The portmapper program is a security tool which prevents theft of NIS
(YP), NFS and other sensitive information via the portmapper.  A
portmapper manages RPC connections, which are used by protocols like
NFS and NIS.

The portmap package should be installed on any machine which acts as a
server for protocols using RPC.

%prep 
%setup -q -n portmap_4
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make FACILITY=LOG_AUTH ZOMBIES='-DIGNORE_SIGCHLD -Dlint' LIBS="-lnsl" RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/init.d

install -m 755 -s portmap $RPM_BUILD_ROOT/sbin
install -m 755 -s pmap_set $RPM_BUILD_ROOT/usr/sbin
install -m 755 -s pmap_dump $RPM_BUILD_ROOT/usr/sbin
# Fix initscripts location
sed <$RPM_SOURCE_DIR/portmap.init >/tmp/portmap.init.$$ \
    's!/etc/rc.d/init.d!/etc/init.d!'
install -m 755 /tmp/portmap.init.$$ $RPM_BUILD_ROOT/etc/init.d/portmap



mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
install -m 644 $RPM_SOURCE_DIR/pmap_set.8 $RPM_BUILD_ROOT/usr/share/man/man8
install -m 644 $RPM_SOURCE_DIR/pmap_dump.8 $RPM_BUILD_ROOT/usr/share/man/man8
install -m 644 $RPM_SOURCE_DIR/portmap.8 $RPM_BUILD_ROOT/usr/share/man/man8

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
# Restart service after upgrade.
/sbin/chkconfig --add portmap
/sbin/restart_maybe portmap

%preun
if [ $1 = 0 ] ; then
  /sbin/chkconfig --del portmap
fi

%files
%defattr(-,root,root,0755)
%doc README CHANGES BLURB

/sbin/portmap
/usr/sbin/pmap_dump
/usr/sbin/pmap_set

/usr/share/man/man8/*

%config /etc/init.d/portmap

%changelog
* Mon May 23 2005 Hasher J <hasher at comodo dot com> 4.0-36tr
- Made changes directly in the chkconfig line in portmap.init file and
  removed the perl script with reference to Bug#709.

* Wed Apr 20 2005 Hasher Jamaludeen <hasher at comodo dot com> 4.0-35tr
- Changed init priority

* Fri Mar 18 2005 Hasher Jamaludeen <hasher at comodo dot com> 4.0-32tr
- Rebuilt

* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0-29tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0-28tr
- Big rebuild

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0-27em
- No longer PreReq coreutils.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0-26em
- textutils -> coreutils.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0-25em
- Rebuilt against glibc 2.3.2.

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 4.0-24ct
- portmap initscript now uses $INITLOCK

* Fri Nov  8 2002 Gerald Dachs <gda at trustix dot org> 4.0-23gd
- prerequires now textutils

* Thu Jul 18 2002 Roland Kruse <rolandk at trustix dot com> 4.0-22rk
- New initscripts location. 

* Fri Jan  4 2002 Christian H. Toldens <christht at trustix dot com>
- Correct chkconfig line in startup script.

* Fri Feb 25 2000 Erlend Midttun <erlendbm at trustix dot com>
- Removed autostart
- Moved manpages to comply with FHS

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- add patch to fix some malloc issues from HP

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- added man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- start/stop portmap at levels 11/89

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- fixed the trigger script

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added %trigger to fix a previously broken package

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscripts

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- rebuilt against glibc 2.0.6

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed service name in stop section of init script

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- fixed chkconfig support

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added restart, status commands to init script
- added chkconfig support
- uses a buildroot and %attr tags

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
